package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @date 2019/6/6 15:07
 */
public class WxLoginReq extends BaseRequest {

    private static final long serialVersionUID = 1626806454966566407L;

    @ApiModelProperty(name = "openid", value = "授权公众号openid", required = true)
    @NotBlank
    private String openid;

    @ApiModelProperty(name = "unionid", value = "授权公众号unionid", required = true)
    @NotBlank
    private String unionid;

    @ApiModelProperty(name = "alias", value = "腾讯信鸽token", required = true)
    private String alias;

    @ApiModelProperty(name = "openid", value = "platform", required = true)
    private String platform;

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
